質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Python

    8505questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    6835questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • GitHub

    800questions

    GitHubは、Gitバージョン管理システムを利用したソフトウェア開発向けの共有ウェブサービスです。GitHub商用プランおよびオープンソースプロジェクト向けの無料アカウントを提供しています。

「Intel RealSense D415」をPythonで動かす。

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 2,096

Ryupe

score 123

日本ではIntel RealSense cameraはあまり知名度が低いのか日本語の情報がほとんどありません。あったとしても商品紹介ぐらいで開発に関する情報はほぼ皆無です。そんななかでterateilでは果たして回答者が現れるのか非常に不安なところですが質問させていただきます。

まずは商品について

Intel RealSense Depth Camera 公式サイト
スイッチサイエンス
イメージ説明

これを動かすためのソース

GitHub
特にこれ↓
Python Wrapper(インストール方法)

で、本題

質問したいのはずばりPython3でプログラムが書けるのか?というところです。ライブラリをインポート出来たとしてもAPIが違ってるので出来ませんとか出てくる。
日本人でこれにトライしている人はいるのか?

 環境

  • Ubuntu 16.04 LTS (windows10とデュアルブート)
  • Python3.5.1
  • RealDepth D415

 自分が試したこと、エラー

Python Wrapper(インストール方法)にある「ソースからビルド」の手順を踏むことでpython3環境でimport pyrealsense2は通りました。
しかし、その後のpipeline = rs.pipeline()で引っかかりエラー文が表示されます。

ソースコード

import pyrealsense2 as rs
import numpy as np
import cv2

#Configure depth and color streams
#深度と色のストリームを設定する。
pipeline = rs.pipeline()
config = rs.config()
config.enable_stream(rs.stream.depth, 640, 480, rs.format.z16, 30)
config.enable_stream(rs.stream.color, 640, 480, rs.format.bgr8, 30)


エラー文

$ python3 realsense-test.py
Traceback (most recent call last):
File "realsense-test.py", line 7, in <module>
pipeline = rs.pipeline()
RuntimeError: API version mismatch: librealsense.so was compiled with API version 2.10.4 but the application was compiled with 2.9.1! Make sure correct version of the library is installed (make install)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

エラーメッセージ見ただけですが、2.9.1のSDKを使えばいいんじゃないかな‥。
Intel® RealSense™ SDK 2.0 (build 2.9.1)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/19 18:10

    回答ありがとうございます。
    やってみます。

    キャンセル

checkベストアンサー

0

ランタイムエラーですね。

先に書いておきますが、動作環境は確認されたでしょうか。
ttps://github.com/IntelRealSense/librealsense/releases
こちらによると「Supported Languages Python 2.7 / 3.6 (learn more)」とあります。

 解決策

エラーメッセージにありますが

 librealsense.so was compiled with API version 2.10.4 but the application was compiled with 2.9.1! Make sure correct version of the library is installed (make install)

librealsense.soのバージョン2.9.1版を探して、
既存のlibrealsense.soと
差し替えてみてください。
たぶんこちらですね。
Intel RealSense SDK 2.0 (build 2.9.1)
ttps://github.com/IntelRealSense/librealsense/releases/tag/v2.9.1

 参考

なお
ttps://github.com/IntelRealSense/librealsense/commits/master/package.xml
最新は「version 2.10.4 」となっています。また
https://github.com/IntelRealSense/librealsense/wiki/API-Changes#from-2102-to-2103
こちらの修正履歴も見て、適切なSDKを選んで実行してみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/19 18:34

    出来ました!!
    ありがとうございます。

    GitHubの使い方もう少し勉強しないといけないですね。
    修正履歴を見れることは知らなかったので勉強になりました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.51%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    8505questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    6835questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • GitHub

    800questions

    GitHubは、Gitバージョン管理システムを利用したソフトウェア開発向けの共有ウェブサービスです。GitHub商用プランおよびオープンソースプロジェクト向けの無料アカウントを提供しています。